GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Classes | Enumerations | Functions
GpgFrontend::UI Namespace Reference

## Classes
class | FileReadTask
class | VerifyDetailsDialog
class | GeneralDialog
class | GnuPGControllerDialog
class | InfoTab
| Class containing the main tab of about dialog. More...
class | TranslatorsTab
| Class containing the translator tab of about dialog. More...
class | UpdateTab
| Class containing the main tab of about dialog. More...
class | AboutDialog
| Class for handling the about dialog. More...
class | GnupgTab
class | ExportKeyPackageDialog
class | KeyImportDetailDialog
class | KeyServerImportDialog
class | KeyUploadDialog
class | KeyGenDialog
class | SubkeyGenerateDialog
class | KeyDetailsDialog
class | KeyNewUIDDialog
class | KeyPairDetailTab
class | KeyPairOperaTab
class | KeyPairSubkeyTab
class | KeyPairUIDTab
class | KeySetExpireDateDialog
class | KeyUIDSignDialog
class | QuitDialog
class | AdvancedTab
class | AppearanceTab
class | SettingsDialog
class | GeneralTab
class | KeyserverTab
class | NetworkTab
class | SignersPicker
class | WaitingDialog
class | Wizard
class | IntroPage
class | ChoosePage
class | KeyGenPage
class | ConclusionPage
class | GpgFrontendApplication
class | GeneralMainWindow
class | KeyMgmt
class | MainWindow
class | SignalStation
class | SettingsObject
| The SettingsObject class This class is used to store settings for the application securely. More...
struct | SoftwareVersion
class | KeyServerImportTask
class | KeyServerSearchTask
class | ListedKeyServerTestTask
class | ProxyConnectionTestTask
class | VersionCheckTask
class | CommonUtils
class | FilePage
class | FindWidget
| Class for handling the find widget shown at buttom of a textedit-page. More...
class | HelpPage
class | InfoBoardWidget
| Class for handling the verify label shown at bottom of a textedit-page. More...
struct | KeyListRow
struct | KeyListColumn
struct | KeyMenuAbility
struct | KeyTable
class | KeyList
class | PlainTextEditorPage
| Class for handling a single tab of the tabwidget. More...
class | TextEdit
| TextEdit class. More...
class | TOFUInfoPage
class | VerifyKeyDetailBox

## Enumerations
enum | InfoBoardStatus { INFO_ERROR_OK = 0 , INFO_ERROR_WARN = 1 , INFO_ERROR_CRITICAL = 2 , INFO_ERROR_NEUTRAL = 3 }

## Functions
void | init_logging_system ()
void | init_locale ()
| setup the locale and load the translations
void | InitGpgFrontendUI (QApplication *)
| init the UI library
int | RunGpgFrontendUI (QApplication *)
| run main window
void | InitUILoggingSystem ()
void | ShutdownUILoggingSystem ()
bool | path_pre_check (QWidget *parent, const QString &path)
bool | process_tarball_into_directory (QWidget *parent, std::filesystem::path &path)
| convert directory into tarball More...
bool | process_directory_into_tarball (QWidget *parent, QString &path)
| convert tarball into directory More...
void | show_verify_details (QWidget *parent, InfoBoardWidget *info_board, GpgError error, const GpgVerifyResult &verify_result)
void | import_unknown_key_from_keyserver (QWidget *parent, const GpgVerifyResultAnalyse &verify_res)
void | refresh_info_board (InfoBoardWidget *info_board, int status, const std::string &report_text)
void | process_result_analyse (TextEdit *edit, InfoBoardWidget *info_board, const GpgResultAnalyse &result_analyse)
void | process_result_analyse (TextEdit *edit, InfoBoardWidget *info_board, const GpgResultAnalyse &result_analyse_a, const GpgResultAnalyse &result_analyse_b)
void | process_operation (QWidget *parent, const std::string &waiting_title, const Thread::Task::TaskRunnable func, const Thread::Task::TaskCallback callback, Thread::Task::DataObjectPtr data_object)
void | import_key_from_keyserver (QWidget *parent, const std::string &key_id, const std::string &key_server)
std::string | binary_to_string (const std::string &source)

## Detailed Description

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

The source code version of this software was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com eric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## Enumeration Type Documentation

## ◆ InfoBoardStatus

enum GpgFrontend::UI::InfoBoardStatus

Enumeration for the status of Verify label

## Function Documentation

## ◆ import_key_from_keyserver()

void GpgFrontend::UI::import_key_from_keyserver | ( | QWidget * | parent,
|  | const std::string & | key_id,
|  | const std::string & | key_server
| ) |  |

Parameters

  parent |
  key_id |
  key_server |

## ◆ import_unknown_key_from_keyserver()

void GpgFrontend::UI::import_unknown_key_from_keyserver | ( | QWidget * | parent,
|  | const GpgVerifyResultAnalyse & | verify_res
| ) |  |

Parameters

  parent |
  verify_res |

References GpgFrontend::GpgVerifyResultAnalyse::GetSignatures().

Referenced by GpgFrontend::UI::MainWindow::slot_decrypt_verify(), GpgFrontend::UI::MainWindow::slot_verify(), GpgFrontend::UI::MainWindow::SlotFileDecryptVerify(), and GpgFrontend::UI::MainWindow::SlotFileVerify().

## ◆ process_directory_into_tarball()

bool GpgFrontend::UI::process_directory_into_tarball | ( | QWidget * | parent,
|  | QString & | path
| ) |  |

convert tarball into directory

Parameters

  parent | parent widget
  path | the tarball to be converted

References process_operation().

Referenced by GpgFrontend::UI::MainWindow::SlotFileEncrypt(), and GpgFrontend::UI::MainWindow::SlotFileEncryptSign().

## ◆ process_operation()

void GpgFrontend::UI::process_operation | ( | QWidget * | parent,
|  | const std::string & | waiting_title,
|  | GpgFrontend::Thread::Task::TaskRunnable | func,
|  | GpgFrontend::Thread::Task::TaskCallback | callback = `nullptr`,
|  | Thread::Task::DataObjectPtr | data_object = `nullptr`
| ) |  |

Parameters

  parent |
  waiting_title |
  func |

References GpgFrontend::SingletonFunctionObject< TaskRunnerGetter >::GetInstance(), and GpgFrontend::Thread::Task::SignalTaskEnd().

Referenced by process_directory_into_tarball(), process_tarball_into_directory(), GpgFrontend::UI::MainWindow::slot_decrypt(), GpgFrontend::UI::MainWindow::slot_decrypt_verify(), GpgFrontend::UI::MainWindow::slot_encrypt(), GpgFrontend::UI::MainWindow::slot_encrypt_sign(), GpgFrontend::UI::MainWindow::slot_sign(), GpgFrontend::UI::MainWindow::slot_verify(), GpgFrontend::UI::MainWindow::SlotFileDecrypt(), GpgFrontend::UI::MainWindow::SlotFileDecryptVerify(), GpgFrontend::UI::MainWindow::SlotFileEncrypt(), GpgFrontend::UI::MainWindow::SlotFileEncryptSign(), GpgFrontend::UI::MainWindow::SlotFileSign(), and GpgFrontend::UI::MainWindow::SlotFileVerify().

## ◆ process_result_analyse() [1/2]

void GpgFrontend::UI::process_result_analyse | ( | TextEdit * | edit,
|  | InfoBoardWidget * | info_board,
|  | const GpgResultAnalyse & | result_analyse
| ) |  |

Parameters

  edit |
  info_board |
  result_analyse |

References GpgFrontend::UI::InfoBoardWidget::AssociateTabWidget(), GpgFrontend::GpgResultAnalyse::GetResultReport(), GpgFrontend::GpgResultAnalyse::GetStatus(), and refresh_info_board().

Referenced by GpgFrontend::UI::MainWindow::slot_decrypt(), GpgFrontend::UI::MainWindow::slot_decrypt_verify(), GpgFrontend::UI::MainWindow::slot_encrypt(), GpgFrontend::UI::MainWindow::slot_encrypt_sign(), GpgFrontend::UI::MainWindow::slot_sign(), GpgFrontend::UI::MainWindow::slot_verify(), GpgFrontend::UI::MainWindow::SlotFileDecrypt(), GpgFrontend::UI::MainWindow::SlotFileDecryptVerify(), GpgFrontend::UI::MainWindow::SlotFileEncrypt(), GpgFrontend::UI::MainWindow::SlotFileEncryptSign(), GpgFrontend::UI::MainWindow::SlotFileSign(), and GpgFrontend::UI::MainWindow::SlotFileVerify().

## ◆ process_result_analyse() [2/2]

void GpgFrontend::UI::process_result_analyse | ( | TextEdit * | edit,
|  | InfoBoardWidget * | info_board,
|  | const GpgResultAnalyse & | result_analyse_a,
|  | const GpgResultAnalyse & | result_analyse_b
| ) |  |

Parameters

  edit |
  info_board |
  result_analyse_a |
  result_analyse_b |

References GpgFrontend::UI::InfoBoardWidget::AssociateTabWidget(), GpgFrontend::GpgResultAnalyse::GetResultReport(), GpgFrontend::GpgResultAnalyse::GetStatus(), and refresh_info_board().

## ◆ process_tarball_into_directory()

bool GpgFrontend::UI::process_tarball_into_directory | ( | QWidget * | parent,
|  | std::filesystem::path & | path
| ) |  |

convert directory into tarball

Parameters

  parent | parent widget
  path | the directory to be converted

Returns

References process_operation().

Referenced by GpgFrontend::UI::MainWindow::SlotFileDecrypt(), and GpgFrontend::UI::MainWindow::SlotFileDecryptVerify().

## ◆ refresh_info_board()

void GpgFrontend::UI::refresh_info_board | ( | InfoBoardWidget * | info_board,
|  | int | status,
|  | const std::string & | report_text
| ) |  |

Parameters

  info_board |
  status |
  report_text |

References GpgFrontend::UI::InfoBoardWidget::SlotRefresh().

Referenced by process_result_analyse().

## ◆ show_verify_details()

void GpgFrontend::UI::show_verify_details | ( | QWidget * | parent,
|  | InfoBoardWidget * | info_board,
|  | GpgError | error,
|  | const GpgVerifyResult & | verify_result
| ) |  |

Parameters

  parent |
  info_board |
  error |
  verify_result |

References GpgFrontend::UI::InfoBoardWidget::AddOptionalAction(), and GpgFrontend::UI::InfoBoardWidget::ResetOptionActionsMenu().

Referenced by GpgFrontend::UI::MainWindow::slot_decrypt_verify(), GpgFrontend::UI::MainWindow::slot_verify(), GpgFrontend::UI::MainWindow::SlotFileDecryptVerify(), and GpgFrontend::UI::MainWindow::SlotFileVerify().